This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247328 - Review Request: sshrc - Bring your bash and vim configuration in your ssh session
Review Request: sshrc - Bring your bash and vim configuration in your ssh se...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 14:55 EDT by Pranav Kant
Modified: 2015-10-31 22:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:20:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pranav Kant 2015-07-27 14:55:23 EDT
Spec URL: https://pranvk.fedorapeople.org/packages/sshrc.spec
SRPM URL: https://pranvk.fedorapeople.org/packages/sshrc-0.5-1.fc22.src.rpm
Description: You can use this to set environment variables, define functions,
and run post-login commands. This is quite useful when you have several
servers that you don't want to configure independently.
Fedora Account System Username: pranvk
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-07-30 10:25:06 EDT
if [ $1 ]; then
    command -v xxd >/dev/null 2>&1 || { echo >&2 "sshrc requires xxd to be installed locally, but it's not. Aborting."; exit 1; }
    sshrc $@

This is an accident waiting to happen. Proper quoting is required around $@. [ $1 ] will go wrong if options are given on the command line.

xxd is requires but it is not Required by anything.

rm -rf %{buildroot} is not necessary.
Comment 2 Eduardo Mayorga 2015-07-30 16:49:30 EDT
- The missing dependencies are vim-commons and openssh-clients.

- Add a %build section, even if empty, to silent the rpmlint warning.

Rpmlint
-------
Checking: sshrc-0.5-1.fc24.noarch.rpm
          sshrc-0.5-1.fc24.src.rpm
sshrc.noarch: W: spelling-error Summary(en_US) bashrc -> bash
sshrc.noarch: W: spelling-error Summary(en_US) vimrc -> victim
sshrc.noarch: W: no-manual-page-for-binary sshrc
sshrc.noarch: W: no-manual-page-for-binary moshrc
sshrc.src: W: spelling-error Summary(en_US) bashrc -> bash
sshrc.src: W: spelling-erro.tar.gz 640r Summary(en_US) vimrc -> victim
sshrc.src: W: strange-permission 0.5.tar.gz 640
sshrc.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-08-01 15:37:04 EDT
Right. But what about the first part of comment #c1?
Comment 5 Pranav Kant 2015-08-12 14:02:53 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> This is an accident waiting to happen. Proper quoting is required around $@.

Makes sense.

> [ $1 ] will go wrong if options are given on the command line.

I don't really get this. Maybe you meant :

"options are *not* given on the command line" ? 

But then again, I don't get how it can go wrong. I want the else part to get executed when there are no command line options, and it does execute fine for me. Could you please explain this ?
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-08-14 14:49:37 EDT
If an options is given on the command line, e.g. "-z", it has special meaning for [.
Comment 8 William Moreno 2015-08-26 14:45:43 EDT
Package Review
==============
Hi

Sorry for the late feedback, this is a simple package, the spec looks good,
but there is some things than can improve the user experience:

1- Can you add a manpage? You can install the maneditor package in Fedora
and write a manpage, even a minimal manpage can improve the user experience,
if you write a manpage please ask upstream to merge it.

2- This package provides 2 binaries, sshrc and moshrc, I am not sure about
whow users will find the second binari based in the name and description 
of the package, maybe if you write manpage for sshrc you can refer than 
moshrc it is avaible too, note than you will need a man page for each binari.

The missing manpage is not a bloquer, but I want to ask if you can work in it.

===== MUST items =====
Generic:
PASS: Package is licensed with an open-source compatible license and meets
      other legal requirements as defined in the legal section of Packaging
      Guidelines.
PASS: License field in the package spec file matches the actual license.
PASS: Package contains no bundled libraries without FPC exception.
PASS: Changelog in prescribed format.
PASS: Sources contain only permissible code or content.
NA:   Package contains desktop file if it is a GUI application.
NA:   Development files must be in a -devel package
PASS: Package uses nothing in %doc for runtime.
PASS: Package consistently uses macros (instead of hard-coded directory
      names).
PASS: Package is named according to the Package Naming Guidelines.
PASS: Package does not generate any conflict.
PASS: Package obeys FHS, except libexecdir and /usr/target.
PASS: If the package is a rename of another package, proper Obsoletes and
      Provides are present.
PASS: Requires correct, justified where necessary.
PASS: Spec file is legible and written in American English.
PASS: Package contains systemd file(s) if in need.
PASS: Package is not known to require an ExcludeArch tag.
PASS: Large documentation must go in a -doc subpackage. Large could be size
      (~1MB) or number of files.
PASS: Package complies to the Packaging Guidelines
PASS: Package successfully compiles and builds into binary rpms on at least
      one supported primary architecture.
PASS: Package installs properly.
PASS: Rpmlint is run on all rpms the build produces.
PASS: If (and only if) the source package includes the text of the
      license(s) in its own file, then that file, containing the text of the
      license(s) for the package is included in %license.
PASS: Package requires other packages for directories it uses.
PASS: Package must own all directories that it creates.
PASS: Package does not own files or directories owned by other packages.
PASS: All build dependencies are listed in BuildRequires, except for any
      that are listed in the exceptions section of Packaging Guidelines.
PASS: Package uses either %{buildroot} or $RPM_BUILD_ROOT
PASS: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
      beginning of %install.
PASS: Macros in Summary, %description expandable at SRPM build time.
PASS: Dist tag is present.
PASS: Package does not contain duplicates in %files.
PASS: Permissions on files are set properly.
NA:   Package use %makeinstall only when make install DESTDIR=... doesn't
      work.
PASS: Package is named using only allowed ASCII characters.
PASS: Package does not use a name that already exists.
PASS: Package is not relocatable.
PASS: Sources used to build the package match the upstream source, as
      provided in the spec URL.
PASS: Spec file name must match the spec package %{name}, in the format
      %{name}.spec.
PASS: File names are valid UTF-8.
PASS: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
NA:   If the source package does not include license text(s) as a separate
      file from upstream, the packager SHOULD query upstream to include it.
PASS: Final provides and requires are sane (see attachments).
PASS: Latest version is packaged.
PASS: Package does not include license text files separate from upstream.
PASS: Patches link to upstream bugs/comments/lists or are otherwise
      justified.
PASS: Description and summary sections in the package spec file contains
      translations for supported Non-English languages, if available.
PASS: Package should compile and build into binary rpms on all supported
      architectures.
NA:   %check is present and all tests pass.
PASS: Packages should try to preserve timestamps of original installed
      files.
PASS: Packager, Vendor, PreReq, Copyright tags should not be in spec file
PASS: Sources can be downloaded from URI in Source: tag
PASS: Reviewer should test that the package builds in mock.
PASS: Buildroot is not present
PASS: Package has no %clean section with rm -rf %{buildroot} (or
      $RPM_BUILD_ROOT)
PASS: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
PASS: SourceX is a working URL.
PASS: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
PASS: Rpmlint is run on all installed packages.
      Note: There are rpmlint messages (see attachment).
PASS: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: sshrc-0.5-3.fc21.noarch.rpm
          sshrc-0.5-3.fc21.src.rpm
sshrc.noarch: W: spelling-error Summary(en_US) bashrc -> bash
sshrc.noarch: W: spelling-error Summary(en_US) vimrc -> victim
sshrc.noarch: W: no-manual-page-for-binary sshrc
sshrc.noarch: W: no-manual-page-for-binary moshrc
sshrc.src: W: spelling-error Summary(en_US) bashrc -> bash
sshrc.src: W: spelling-error Summary(en_US) vimrc -> victim
sshrc.src: W: strange-permission 0.5.tar.gz 640
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Rpmlint (installed packages)
----------------------------
sshrc.noarch: W: spelling-error Summary(en_US) bashrc -> bash
sshrc.noarch: W: spelling-error Summary(en_US) vimrc -> victim
sshrc.noarch: W: spelling-error %description -l en_US login -> loin, logic, lo gin
sshrc.noarch: W: invalid-url URL: https://github.com/Russell91/sshrc <urlopen error [Errno -3] Temporary failure in name resolution>
sshrc.noarch: W: no-manual-page-for-binary sshrc
sshrc.noarch: W: no-manual-page-for-binary moshrc
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Requires
--------
sshrc (rpmlib, GLIBC filtered):
    /usr/bin/env
    openssh-clients
    vim-common

Provides
--------
sshrc:
    sshrc

Source checksums
----------------
https://github.com/Russell91/sshrc/archive/0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 4592df6fc2987adbbce84dbe305d9b769f7177a545122295629ce2fb61ecbba3
  CHECKSUM(SHA256) upstream package : 4592df6fc2987adbbce84dbe305d9b769f7177a545122295629ce2fb61ecbba3
Comment 9 Upstream Release Monitoring 2015-09-24 11:05:16 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 10 William Moreno 2015-09-25 14:08:03 EDT
Hi

Any update here, do want to continue this review?
Comment 11 Pranav Kant 2015-09-27 04:03:18 EDT
Hi William,

Sorry for the delay. I was hoping that someone would write a man page upstream[1], and then I would include that here as a patch till they make a new release. I will wait for another week, and if no one does it, I will write one and include it by next week.

Meanwhile, if there is anything else that needs to be fixed, let me know, and I can try fixing that.

[1] https://github.com/Russell91/sshrc/issues/48
Comment 12 William Moreno 2015-09-28 10:23:02 EDT
I will not block your package for me missing manpe, the idea for ask about that is tha Fedora packager must have a good with relationship so it a good idea to send patches and a manpage it is a easy way to start.

I will recomend to add a Provides: moshrc so your package provides two binaries but are to small to make a subpackage.
Comment 13 Pranav Kant 2015-09-28 12:25:48 EDT
(In reply to William Moreno from comment #12)
> I will not block your package for me missing manpe, the idea for ask about
> that is tha Fedora packager must have a good with relationship so it a good
> idea to send patches and a manpage it is a easy way to start.

Thanks. I will add them soon, anyways.

> 
> I will recomend to add a Provides: moshrc so your package provides two
> binaries but are to small to make a subpackage.

Yeah, thanks. I fixed it.

Spec URL: https://pranvk.fedorapeople.org/packages/sshrc.spec
SRPM URL: https://pranvk.fedorapeople.org/packages/sshrc-0.5-4.fc22.src.rpm
Comment 14 William Moreno 2015-10-06 13:56:54 EDT
Package Aproved
================

Please note than the SCM request method has been deprecated. 
Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 15 Pranav Kant 2015-10-08 12:14:18 EDT
Removed dots '.' from summary.

Spec URL: https://pranvk.fedorapeople.org/packages/sshrc.spec
SRPM URL: https://pranvk.fedorapeople.org/packages/sshrc-0.5-5.fc22.src.rpm
Comment 16 Fedora Update System 2015-10-10 12:44:53 EDT
sshrc-0.5-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-507cc2fb4d
Comment 17 Fedora Update System 2015-10-10 12:44:59 EDT
sshrc-0.5-5.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c39448d325
Comment 18 Fedora Update System 2015-10-11 13:51:20 EDT
sshrc-0.5-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sshrc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c39448d325
Comment 19 Fedora Update System 2015-10-11 14:49:43 EDT
sshrc-0.5-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sshrc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-507cc2fb4d
Comment 20 Fedora Update System 2015-10-11 23:57:24 EDT
sshrc-0.5-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sshrc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-34726d78b4
Comment 21 Fedora Update System 2015-10-23 12:20:54 EDT
sshrc-0.5-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-10-23 13:24:04 EDT
sshrc-0.5-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-10-31 22:42:49 EDT
sshrc-0.5-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.